<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Extra-Life Donnation</title>
    <link rel="stylesheet" href="app.css" />
</head>
<body>
    <div id="app" class="app">
        <!-- Empty by default. -->
    </div>
    <div id="help" class="help">
        <h1>Extra-Life Donation Viewer 0.1.1</h1>
        <h2>Benjamin Lemelin</h2>
        <p>
            Displays the donations of a participant or a team.
        </p>
        <h2>Usage</h2>
        <p>
            Separate each parameter after the "?" with a "&". Do not include the "&lt;" and "&gt;" characters.
        </p>
        <ul>
            <li>
                <p>By participant :</p>
                <pre>https://codebreak.gitlab.io/extra-life-donation-viewer?participantId=&lt;000000&gt;</pre>
            </li>
            <li>
                <p>By team :</p>
                <pre>https://codebreak.gitlab.io/extra-life-donation-viewer?teamId=&lt;00000&gt;</pre>
            </li>
            <li>
                <p>Change output format (<code>@DONATIONS</code> will be replace by the amount) :</p>
                <pre>https://codebreak.gitlab.io/extra-life-donation-viewer?format=&lt;@DONATIONS $&gt;</pre>
            </li>
            <li>
                <p>Change update delay (in miliseconds) :</p>
                <pre>https://codebreak.gitlab.io/extra-life-donation-viewer?updateDelay=&lt;0000&gt;</pre>
            </li>
        </ul>
        <h2>Customisation</h2>
        <p>
            If you are using this tool, chances are you are using with <a href="https://obsproject.com/fr">OBS</a>
            inside a web view. Thus, you can use some custom <em>Css</em> targetting the class named <code>app</code>.
            Here are some examples of what you can do.
        </p>
        <p>
            <pre class="code-sample">.app {
    color: #ff00ff; /* Changing the color. */
    font-family: "Arial"; /* Changing the font. */
}
            </pre>
        </p>
    </pre>
    </div>
    <script src="app.js"></script>
</body>

</html>